---
apiVersion: kustomize.toolkit.fluxcd.io/v1
kind: Kustomization
metadata:
  name: k3s-system-upgrade-resources
  namespace: flux-system
spec:
  dependsOn:
  - name: k3s-system-upgrade-controller

  interval: 50m
  retryInterval: 1m

  sourceRef:
    kind: ${_core_repo_kind:-GitRepository}
    name: core-addons

  serviceAccountName: kustomize-controller

  path: "./resources/k3s-system-upgrade"
  prune: true

  postBuild:
    substituteFrom:
    - kind: ConfigMap
      name: cluster-vars
